> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/users-and-accounts/delete-department.md).

# Delete Department

## POST /api/Public/DeleteDepartment/delete

> Delete department

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"DeleteDepartment"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.DeleteDepartmentRequest":{"required":["departmentId"],"type":"object","properties":{"departmentId":{"type":"integer","format":"int32"}},"additionalProperties":false}}},"paths":{"/api/Public/DeleteDepartment/delete":{"post":{"tags":["DeleteDepartment"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.DeleteDepartmentRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Delete department","operationId":"post_DeleteDepartment_delete"}}}}
```

## POST /api/Public/DeleteDepartment/bulk-delete

> Bulk delete

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"DeleteDepartment"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.BulkDeleteDepartmentRequest":{"required":["departmentIds"],"type":"object","properties":{"departmentIds":{"minItems":1,"type":"array","items":{"type":"integer","format":"int32"}}},"additionalProperties":false}}},"paths":{"/api/Public/DeleteDepartment/bulk-delete":{"post":{"tags":["DeleteDepartment"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.BulkDeleteDepartmentRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Bulk delete","operationId":"post_DeleteDepartment_bulk_delete"}}}}
```

## POST /api/Public/DeleteDepartment/soft-delete

> Soft delete

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"DeleteDepartment"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.DeleteDepartmentRequest":{"required":["departmentId"],"type":"object","properties":{"departmentId":{"type":"integer","format":"int32"}},"additionalProperties":false}}},"paths":{"/api/Public/DeleteDepartment/soft-delete":{"post":{"tags":["DeleteDepartment"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.DeleteDepartmentRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Soft delete","operationId":"post_DeleteDepartment_soft_delete"}}}}
```
